import matplotlib.pyplot as plt
import numpy as np
x = np.arange(-2*np.pi, 2*np.pi, 0.01)
y1 = np.sin(2*x)/x
y2 = np.sin(3*x)/x
y3 = np.sin(4*x)/x
plt.plot(x, y1, 'k--')
plt.plot(x, y2, 'k-.')
plt.plot(x, y3, 'k')
plt.xticks([-2*np.pi,-np.pi,0,np.pi,2*np.pi],[r'$-2\pi$',r'$-\pi$',r'$0$',r'$+\pi$',r'$+2\pi$'])
#设置y轴范围及标注刻度值
plt.yticks([-1,0,1,2,3,4],[r'$-1$',r'$0$',r'$1$',r'$2$',r'$3$', r'$4$']) 
ax = plt.gca()
ax.spines['right'].set_color('none')        #设置右边框的颜色为'none'
ax.spines['top'].set_color('none')
ax.xaxis.set_ticks_position('bottom')      #将底边框设为x轴
ax.spines['bottom'].set_position(('data',0))  #移动底边框
ax.yaxis.set_ticks_position('left')          #将左边框设为y轴
ax.spines['left'].set_position(('data',0))     #移动左边框
plt.show()

 

