import numpy as np
import matplotlib.pyplot as plt
x=np.arange(-5,5,0.1)
y=x**2
'''使用figure创建一块自定义大小的画布(窗口)，使得后面的图形输出在这块规定了大小的画布上，其中参数figsize设置画布大小'''
plt.figure(figsize=(8,8)) 
'''将figure设置的画布分成多个部分，参数‘221’表示将画布分成两行两列的4块区域，1表示选择4块区域中的第一块作为输出区域，如果参数设置为subplot(111)，则表示图形直接输出在整块画布上，画布不分割成小块区域'''
plt.subplot(221) 
plt.plot(x,y)     #在2×2画布中第一块区域绘制线形图
plt.subplot(222) 
plt.plot(x,y)     #在2×2画布中第二块区域绘制线形图
plt.subplot(223)  #在2×2画布中第三块区域绘制线形图
plt.plot(x,y)
plt.subplot(224)  # 在2×2画布中第四块区域绘制线形图
plt.plot(x,y)
plt.show()

