import matplotlib
import matplotlib.pyplot as plt
import numpy as np
matplotlib.rcParams['font.family'] = 'FangSong'  #设置字体为FangSong中文仿宋
matplotlib.rcParams['font.size'] = 15           #设置字体的大小
label = ['上海市', '北京市',  '广州市',  '深圳市']
GDP = [13908.57, 12406.8, 9891.48, 9709.02]
index =np.arange(len(GDP))
plt.barh(index, GDP, color='black')
plt.yticks(index, label)          #设置y轴刻度标签
plt.xlabel( 'GDP')              # 添加x轴标签
plt.ylabel('Top4城市')
plt.title( 'GDP--TOP4的城市')   # 添加标题
plt.grid(axis='x')
plt.show()  #显示图形 


 

