import math  
import csv
dict_record = [{'客户年龄': 23, '平均每次消费金额': 318, '平均消费周期': 10}, {'客户年龄': 22, '平均每次消费金额': 147, '平均消费周期': 13}]
keys = ['客户年龄','平均每次消费金额','平均消费周期']
#在该程序文件所在目录下创建consumer1.csv文件
with open('consumer1.csv', 'w+',newline='') as csvfile:  
    #文件头以列表的形式传入函数，列表的每个元素表示每一列的标识
    dictwriter = csv.DictWriter(csvfile, fieldnames=keys)
    #若此时直接写入内容，会导致没有数据名，需先执行writeheader()将文件头写入
    # writeheader()没有参数，因为在建立对象dictwriter时，已设定了参数fieldnames
    dictwriter.writeheader()
    for item in dict_record:
        dictwriter.writerow(item)

print("以csv.DictReader()方式读取consumer1.csv：")
with open('consumer1.csv', 'r') as csvfile:
    reader = csv.DictReader(csvfile)
    for row in reader:
        print(row)

print("\n以csv.reader()方式读取consumer1.csv：")
with open('consumer1.csv',newline='') as csvfile: #重新打开文件
    spamreader = csv.reader(csvfile)
    for row in spamreader:
        print(row)





