class Stack:
    """基于列表技术实现的栈类""" 
    def __init__(self, size=20,current=0): 
        self.items = []          #用列表对象__items存放栈的元素
        self.size = size         #初始栈的大小
        self.current=0           #栈中元素个数初始化为0
 
    def isEmpty(self):           #判断栈是否为空
        return len(self.items)==0  
 
    def push(self, item):        #元素入栈
        if self.current<self.size:
            self.items.append(item)
            self.current+=1      #栈中元素个数加1
        else:
            print("栈已满")
 
    def pop(self):                #元素出栈
        if self.current>0:
            self.current -= 1   #栈中元素个数减1
            return self.items.pop()
        else:
            print("栈已空")
 
    def getTop(self):            #读取栈顶元素，并不删除它
        if self.current>0: 
            return self.items[-1]
        else:
            print("栈已空")
 
    def getCurrent(self):        #返回栈中元素的个数
        return self.current






