def interpolation_search(lst, low, high, key):
    time = 0   #用来记录查找次数
    while low < high:
        time += 1
        # 计算mid值是插值算法的核心代码
        mid = low + int((high - low) * (key - lst[low])/(lst[high] - lst[low]))
        print("mid={0}, low={1}, high={2}".format(mid, low, high))
        if lst[mid] > key:
            high = mid - 1
        elif lst[mid] < key:
            low = mid + 1
        else:
            print("插值查找%s的次数:%s"%(key, time))  #打印插值查找的次数
            return mid
    print("插值查找%s的次数:%s"%(key, time))
    return False

def main():
    alist = [5, 13, 19, 21, 37, 56, 64, 75, 80, 88, 92]
    low = 0
    high = len(alist) - 1
    interpolation_search(alist, low, high, 13)

main()





