import matplotlib
import matplotlib.pyplot as plt
xvalues = [0,1,2,3]  #条形图在x轴上的起始位置
GDP = [13908.57,12406.8,9891.48,9709.02]
# 设置图表的中文显示方式
matplotlib.rcParams['font.family'] = 'FangSong'  #设置字体为FangSong中文仿宋
matplotlib.rcParams['font.size'] = 15           #设置字体的大小
plt.bar(range(4), GDP, align = 'center', color='black') # 绘图
plt.ylabel( 'GDP')              # 添加y轴标签
plt.title( 'GDP--TOP4的城市')   # 添加标题
plt.xticks(range( 4), [ '上海市', '北京市', '广州市', '深圳市'])   #设置x轴刻度标签
plt.ylim([9000, 15000])   # 设置Y轴的刻度范围
# 为每个条形图添加数值标签
for x,y in enumerate(GDP):
    plt.text(x, y+ 100, '%s'%round(y, 1), ha= 'center')  # ha= 'center'表示居中对齐
plt.show()  # 显示图形





