class MyQueue:
    """基于列表技术实现的队列类""" 
    def __init__(self, size=20,current=0): 
        self.items = []          #用列表对象__items存放队列的元素
        self.size = size         #初始队列的大小
        self.current=0           #队列中的元素个数初始化为0
 
    def isEmpty(self):           #判断栈是否为空
        return len(self.items)==0

    def enQueue(self, item):      #入队
        if self.current<self.size:
            self.items.append(item)
            self.current+=1      #队列的元素个数加1
        else:
            print("队列已满")
 
    def deQueue(self):           #出队
        if self.current>0:
            self.current -= 1    #队列的元素个数减1
            return self.items.pop(0)
        else:
            print("队列已空")
 
    def getFront(self):            #读取队头元素
        if self.current>0: 
            return self.items[0]
        else:
            print("队列已空")

    def getRear(self):            #读取队尾元素
        if self.current>0: 
            return self.items[-1]
        else:
            print("队列已空")
 
    def getCurrent(self):        #返回队列中元素的个数
        return self.current





